------------------------------------------------------------------------------------
--Name:  	BOSSfuben1
--Creator:	由剧情表现脚本编辑器生成
--Created:	2023-03-23
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(58, 54)
CppScriptMgr:WaitMilSec(500)
local effect_0 = CppScriptMgr:AddEffect("zf2-e233", 62, 58, 33, 1, 1, 1)
effect_0:Scale(1.5, 1.5, 1.5)
local monster_0 = CppScriptMgr:AddPlayer(355, 62, 58, "", 0, 0)
monster_0:SetDir(7)
monster_0:SetZoomPercent(20)
CppScriptMgr:WaitMilSec(140)
ChangeNpcZoom(monster_0, 20, 150, 10, 33)
CppScriptMgr:WaitMilSec(360)
monster_0:Say("Treasure hunter, you woke me up!", 2000)
CppScriptMgr:WaitMilSec(2000)
local effect_1 = CppScriptMgr:AddEffect("ride_screen", 62, 58, 33, 1, 1, 1)
monster_0:Say("Are you ready to be burned by my wrath!", 2000)
monster_0:SetAction(401)
CppScriptMgr:WaitMilSec(2560)